### Hierarchy

- LoggingService

## Index

### Constructors

- constructor

### Properties

- canDebug
- env

### Methods

- sendDebugLevelMessage
- sendErrorLevelMessage
- sendFatalLevelMessage
- sendInfoLevelMessage
- sendLogLevelMessage
- sendTraceLevelMessage
- sendWarnLevelMessage

## Constructors

### constructor

- new LoggingService(logger: NGXLogger): LoggingService

- - Defined in src/app/_services/logging.service.ts:9

  #### Parameters

  - ##### logger: NGXLogger

  #### Returns LoggingService

## Properties

### canDebug

canDebug: boolean

- Defined in src/app/_services/logging.service.ts:9

### env

env: string

- Defined in src/app/_services/logging.service.ts:8

## Methods

### sendDebugLevelMessage

- sendDebugLevelMessage(message: any, source: any, error: any): void

- - Defined in src/app/_services/logging.service.ts:22

  #### Parameters

  - ##### message: any

  - ##### source: any

  - ##### error: any

  #### Returns void

### sendErrorLevelMessage

- sendErrorLevelMessage(message: any, source: any, error: any): void

- - Defined in src/app/_services/logging.service.ts:38

  #### Parameters

  - ##### message: any

  - ##### source: any

  - ##### error: any

  #### Returns void

### sendFatalLevelMessage

- sendFatalLevelMessage(message: any, source: any, error: any): void

- - Defined in src/app/_services/logging.service.ts:42

  #### Parameters

  - ##### message: any

  - ##### source: any

  - ##### error: any

  #### Returns void

### sendInfoLevelMessage

- sendInfoLevelMessage(message: any): void

- - Defined in src/app/_services/logging.service.ts:26

  #### Parameters

  - ##### message: any

  #### Returns void

### sendLogLevelMessage

- sendLogLevelMessage(message: any, source: any, error: any): void

- - Defined in src/app/_services/logging.service.ts:30

  #### Parameters

  - ##### message: any

  - ##### source: any

  - ##### error: any

  #### Returns void

### sendTraceLevelMessage

- sendTraceLevelMessage(message: any, source: any, error: any): void

- - Defined in src/app/_services/logging.service.ts:18

  #### Parameters

  - ##### message: any

  - ##### source: any

  - ##### error: any

  #### Returns void

### sendWarnLevelMessage

- sendWarnLevelMessage(message: any, error: any): void

- - Defined in src/app/_services/logging.service.ts:34

  #### Parameters

  - ##### message: any

  - ##### error: any

  #### Returns void

Generated using TypeDoc